Bug 140326 (IT_54107) - endwin() behaves differently from ncurses 5.2
Summary: endwin() behaves differently from ncurses 5.2
Status: CLOSED ERRATA
Alias: IT_54107
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ncurses   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Rockai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 132991
TreeView+ depends on / blocked
 
Reported: 2004-11-22 11:14 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-19 12:35:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
curses.c (1.06 KB, text/plain)
2004-11-22 11:15 UTC, Bastien Nocera
no flags Details
curses.sh (112 bytes, text/plain)
2004-11-22 11:15 UTC, Bastien Nocera
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:163 low SHIPPED_LIVE ncurses bug fix update 2005-05-19 04:00:00 UTC

Description Bastien Nocera 2004-11-22 11:14:33 UTC
The test case attached doesn't show any linefeeds and doesn't reset
the terminal before and after the call to the curses.sh script.

With ncurses 5.3 and 5.4, after pressing a key once:
$ ./curses
line one
        line two
                line three
                          line four
                                    
                                   press any key...

With ncurses 5.2, after pressing a key once:
$ ./curses
 line one
line two
line three
line four
 
press any key...

Comment 1 Bastien Nocera 2004-11-22 11:15:22 UTC
Created attachment 107172 [details]
curses.c

Comment 2 Bastien Nocera 2004-11-22 11:15:46 UTC
Created attachment 107173 [details]
curses.sh

Comment 3 Bastien Nocera 2004-11-22 11:17:40 UTC
Note: ncurses 5.2 is available on RHEL 2.1, 5.3 on RHEL 3, 5.4 on RHEL
4 beta.

Comment 4 Thomas E. Dickey 2004-11-25 21:01:09 UTC
The test-case gives me the same result (will investigate).

Comment 5 Thomas E. Dickey 2004-11-28 02:13:51 UTC
I put a fix in tonight's changes for ncurses (20041127).

Comment 6 Bastien Nocera 2004-11-29 11:00:29 UTC
Thomas, would you be able to point us to a patch, or a way to get a
CVS access to backport this patch to 5.2?

Comment 7 Thomas E. Dickey 2004-11-29 11:04:53 UTC
The patch is in ftp://invisible-island.net/ncurses/5.4
(ncurses-5.4-20041127.patch.gz).  Outside of the chunks
for the configure script and test-program, the remainder
is the pieces you would need for just this change (the
pieces under the ncurses directory).  It's not a large
change - I added an entrypoint _nc_setupterm, which is
now called directly from tgetent.

Comment 8 Thomas E. Dickey 2005-01-30 00:24:47 UTC
At this point, that patch file isn't on my ftp site;
it's combined into the rollup patch.  (I can supply
a copy of the cited patch if there's interest - generally
I remove all of the weekly patches after a rollup).

Comment 11 Tim Powers 2005-05-19 12:35:17 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-163.html



Note You need to log in before you can comment on or make changes to this bug.